Summary:	Subtitle editor for the GNOME desktop
Name:		gnome-subtitles
Version:	1.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Video
URL:		http://gnome-subtitles.sourceforge.net/
Source:		http://downloads.sourceforge.net/%name/%name-%version.tar.xz
Patch0:		gnome-subtitles-1.3-mcs.patch
BuildRequires:	pkgconfig(gconf-sharp-2.0) >= 2.12
BuildRequires:	pkgconfig(glade-sharp-2.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-video-1.0) >= 1.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.12
BuildRequires:	pkgconfig(gtk-sharp-2.0) > 2.12.6
BuildRequires:	pkgconfig(mono) >= 1.1
BuildRequires:	gnome-doc-utils
BuildRequires:	pkgconfig(mono)
BuildRequires:	imagemagick
BuildRequires:	intltool >= 0.35.0
BuildRequires:	gtk-doc

%description
Gnome Subtitles is a subtitle editor for the GNOME desktop. It
supports the most common text-based subtitle formats and allows for
subtitle editing, translation and synchronization.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-schemas-install
make

%install
rm -rf %buildroot
%make_install

%find_lang %{name} --with-gnome

install -d -m755 %{buildroot}{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
convert data/%{name}.svg -resize 48x48 %{buildroot}%{_liconsdir}/%{name}.png
convert data/%{name}.svg -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert data/%{name}.svg -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png

find %{buildroot} -name '*.la' -delete

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/%{name}-C.omf
%lang(ca) %{_datadir}/omf/%{name}/%{name}-ca.omf
%lang(de) %{_datadir}/omf/%{name}/%{name}-de.omf
%lang(sv) %{_datadir}/omf/%{name}/%{name}-sv.omf
%lang(el) %{_datadir}/omf/%{name}/%{name}-el.omf
%lang(es) %{_datadir}/omf/%{name}/%{name}-es.omf
%lang(oc) %{_datadir}/omf/%{name}/%{name}-oc.omf
%lang(fr) %{_datadir}/omf/%{name}/%{name}-fr.omf
%lang(cs) %{_datadir}/omf/%{name}/%{name}-cs.omf
%lang(ro) %{_datadir}/omf/%{name}/%{name}-ro.omf
%lang(sl) %{_datadir}/omf/%{name}/%{name}-sl.omf
%lang(da) %{_datadir}/omf/%{name}/%{name}-da.omf


%changelog
* Sat Nov 11 2017 bb2 <bb2> - 1.3-1pclos2017
- import from mga for pclos user request
